=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-12-04 19:56:07 +0000
+++ drizzled/drizzled.cc	2008-12-05 00:22:42 +0000
@@ -323,7 +323,6 @@
 bool slave_allow_batching;
 ulong slave_exec_mode_options;
 const char *slave_exec_mode_str= "STRICT";
-uint64_t thread_cache_size= 0;
 uint64_t thread_pool_size= 0;
 uint64_t binlog_cache_size= 0;
 uint64_t max_binlog_cache_size= 0;
@@ -3560,10 +3559,6 @@
       "error. Used only if the connection has active cursors."),
    (char**) &table_lock_wait_timeout, (char**) &table_lock_wait_timeout,
    0, GET_ULL, REQUIRED_ARG, 50, 1, 1024 * 1024 * 1024, 0, 1, 0},
-  {"thread_cache_size", OPT_THREAD_CACHE_SIZE,
-   N_("How many threads we should keep in a cache for reuse."),
-   (char**) &thread_cache_size, (char**) &thread_cache_size, 0, GET_ULONG,
-   REQUIRED_ARG, 0, 0, 16384, 0, 1, 0},
   {"thread_pool_size", OPT_THREAD_CACHE_SIZE,
     N_("How many threads we should create to handle query requests in case of "
        "'thread_handling=pool-of-threads'"),

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2008-11-19 08:07:10 +0000
+++ drizzled/field.h	2008-12-04 06:48:00 +0000
@@ -64,8 +64,7 @@
   void operator=(Field &);
 public:
   static void *operator new(size_t size) {return sql_alloc(size); }
-  static void operator delete(void *ptr_arg __attribute__((unused)),
-                              size_t size __attribute__((unused)))
+  static void operator delete(void *, size_t)
   { TRASH(ptr_arg, size); }
 
   unsigned char		*ptr;			// Position to field in record
@@ -331,10 +330,10 @@
       null_ptr=ADD_TO_PTR(null_ptr,ptr_diff,unsigned char*);
   }
   virtual void get_image(unsigned char *buff, uint32_t length,
-                         const CHARSET_INFO * const cs __attribute__((unused)))
+                         const CHARSET_INFO * const)
     { memcpy(buff,ptr,length); }
   virtual void set_image(const unsigned char *buff,uint32_t length,
-                         const CHARSET_INFO * const cs __attribute__((unused)))
+                         const CHARSET_INFO * const)
     { memcpy(ptr,buff,length); }
 
 
@@ -364,8 +363,7 @@
       Number of copied bytes (excluding padded zero bytes -- see above).
   */
 
-  virtual uint32_t get_key_image(unsigned char *buff, uint32_t length,
-                             imagetype type __attribute__((unused)))
+  virtual uint32_t get_key_image(unsigned char *buff, uint32_t length, imagetype)
   {
     get_image(buff, length, &my_charset_bin);
     return length;
@@ -457,11 +455,11 @@
   virtual const CHARSET_INFO *charset(void) const { return &my_charset_bin; }
   virtual const CHARSET_INFO *sort_charset(void) const { return charset(); }
   virtual bool has_charset(void) const { return false; }
-  virtual void set_charset(const CHARSET_INFO * const charset_arg __attribute__((unused)))
+  virtual void set_charset(const CHARSET_INFO * const)
   { }
   virtual enum Derivation derivation(void) const
   { return DERIVATION_IMPLICIT; }
-  virtual void set_derivation(enum Derivation derivation_arg __attribute__((unused)))
+  virtual void set_derivation(enum Derivation)
   { }
   bool set_warning(DRIZZLE_ERROR::enum_warning_level, unsigned int code,
                    int cuted_increment);
@@ -541,7 +539,7 @@
 
    @returns 0 no bytes written.
 */
-  virtual int do_save_field_metadata(unsigned char *metadata_ptr __attribute__((unused)))
+  virtual int do_save_field_metadata(unsigned char *)
   { return 0; }
 };
 

=== modified file 'drizzled/item.h'
--- drizzled/item.h	2008-11-26 21:37:50 +0000
+++ drizzled/item.h	2008-12-04 06:48:00 +0000
@@ -763,7 +763,7 @@
   }
   int64_t val_int_endpoint(bool left_endp, bool *incl_endp);
   Field *get_tmp_table_field() { return result_field; }
-  Field *tmp_table_field(Table *t_arg __attribute__((unused))) { return result_field; }
+  Field *tmp_table_field(Table *) { return result_field; }
   bool get_date(DRIZZLE_TIME *ltime,uint32_t fuzzydate);
   bool get_date_result(DRIZZLE_TIME *ltime,uint32_t fuzzydate);
   bool get_time(DRIZZLE_TIME *ltime);
@@ -774,7 +774,7 @@
   bool find_item_in_field_list_processor(unsigned char *arg);
   bool register_field_in_read_map(unsigned char *arg);
   bool register_field_in_bitmap(unsigned char *arg);
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
   void cleanup();
   bool result_as_int64_t();
@@ -821,14 +821,13 @@
   Item *clone_item() { return new Item_null(name); }
   bool is_null() { return 1; }
 
-  virtual inline void print(String *str,
-                            enum_query_type query_type __attribute__((unused)))
+  virtual inline void print(String *str, enum_query_type)
   {
     str->append(STRING_WITH_LEN("NULL"));
   }
 
   Item *safe_charset_converter(const CHARSET_INFO * const tocs);
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 };
 
@@ -842,7 +841,7 @@
   {
     save_in_field(result_field, no_conversions);
   }
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return true; }
 };  
 
@@ -1019,7 +1018,7 @@
   uint32_t decimal_precision() const
   { return (uint)(max_length - test(value < 0)); }
   bool eq(const Item *, bool binary_cmp) const;
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 };
 
@@ -1038,7 +1037,7 @@
   virtual void print(String *str, enum_query_type query_type);
   Item_num *neg ();
   uint32_t decimal_precision() const { return max_length; }
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 };
 
@@ -1063,7 +1062,7 @@
   int64_t val_int();
   double val_real();
   String *val_str(String*);
-  my_decimal *val_decimal(my_decimal *val __attribute__((unused)))
+  my_decimal *val_decimal(my_decimal *)
   { return &decimal_value; }
   int save_in_field(Field *field, bool no_conversions);
   bool basic_const_item() const { return 1; }
@@ -1081,7 +1080,7 @@
   uint32_t decimal_precision() const { return decimal_value.precision(); }
   bool eq(const Item *, bool binary_cmp) const;
   void set_decimal_value(my_decimal *value_par);
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 };
 
@@ -1131,14 +1130,13 @@
     :Item_float(NULL, val_arg, decimal_par, length), func_name(str)
   {}
 
-  virtual inline void print(String *str,
-                            enum_query_type query_type __attribute__((unused)))
+  virtual inline void print(String *str, enum_query_type)
   {
     str->append(func_name);
   }
 
   Item *safe_charset_converter(const CHARSET_INFO * const tocs);
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 };
 
@@ -1260,7 +1258,7 @@
   {
     m_cs_specified= cs_specified;
   }
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 
 private:
@@ -1279,12 +1277,11 @@
   {}
   Item *safe_charset_converter(const CHARSET_INFO * const tocs);
 
-  virtual inline void print(String *str,
-                            enum_query_type query_type __attribute__((unused)))
+  virtual inline void print(String *str, enum_query_type)
   {
     str->append(func_name);
   }
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return true; }
 };
 
@@ -1365,7 +1362,7 @@
   virtual void print(String *str, enum_query_type query_type);
   bool eq(const Item *item, bool binary_cmp) const;
   virtual Item *safe_charset_converter(const CHARSET_INFO * const tocs);
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 };
 
@@ -1387,7 +1384,7 @@
   {}
   ~Item_result_field() {}			/* Required with gcc 2.95 */
   Field *get_tmp_table_field() { return result_field; }
-  Field *tmp_table_field(Table *t_arg __attribute__((unused)))
+  Field *tmp_table_field(Table *)
   { return result_field; }
   table_map used_tables() const { return 1; }
   virtual void fix_length_and_dec()=0;
@@ -1398,7 +1395,7 @@
     save_in_field(result_field, no_conversions);
   }
   void cleanup();
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return false; }
 };
 
@@ -1595,7 +1592,7 @@
                      alias_name_used_arg),
     outer_ref(0), in_sum_func(0), found_in_select_list(1)
   {}
-  void save_in_result_field(bool no_conversions __attribute__((unused)))
+  void save_in_result_field(bool)
   {
     outer_ref->save_org_in_field(result_field);
   }
@@ -1709,8 +1706,7 @@
   my_decimal *val_decimal(my_decimal *);
   void make_field(Send_field *field) { item->make_field(field); }
   void copy();
-  int save_in_field(Field *field,
-                    bool no_conversions __attribute__((unused)))
+  int save_in_field(Field *field, bool)
   {
     return save_str_value_in_field(field, &str_value);
   }
@@ -1782,7 +1778,7 @@
     return arg->walk(processor, walk_subquery, args) ||
 	    (this->*processor)(args);
   }
-  bool check_vcol_func_processor(unsigned char *arg __attribute__((unused)))
+  bool check_vcol_func_processor(unsigned char *)
   { return true; }
 };
 
@@ -1816,7 +1812,7 @@
 
   void set_used_tables(table_map map) { used_table_map= map; }
 
-  virtual bool allocate(uint32_t i __attribute__((unused)))
+  virtual bool allocate(uint32_t)
   { return 0; }
   virtual bool setup(Item *item)
   {
@@ -1837,8 +1833,7 @@
   virtual void keep_array() {}
   virtual void print(String *str, enum_query_type query_type);
   bool eq_def(Field *field);
-  bool eq(const Item *item,
-          bool binary_cmp __attribute__((unused))) const
+  bool eq(const Item *item, bool) const
   {
     return this == item;
   }

=== modified file 'drizzled/log.cc'
--- drizzled/log.cc	2008-12-04 01:59:53 +0000
+++ drizzled/log.cc	2008-12-05 00:22:42 +0000
@@ -3049,48 +3049,14 @@
 
 bool flush_error_log()
 {
-  bool result=0;
+  bool result = 0;
   if (opt_error_log)
   {
-    char err_renamed[FN_REFLEN], *end;
-    end= strncpy(err_renamed,log_error_file,FN_REFLEN-4);
-    end+= strlen(err_renamed);
-    my_stpcpy(end, "-old");
     pthread_mutex_lock(&LOCK_error_log);
-    char err_temp[FN_REFLEN+4];
-    /*
-     On Windows is necessary a temporary file for to rename
-     the current error file.
-    */
-    strxmov(err_temp, err_renamed,"-tmp",NULL);
-    (void) my_delete(err_temp, MYF(0)); 
-    if (freopen(err_temp,"a+",stdout))
-    {
-      int fd;
-      size_t bytes;
-      unsigned char buf[IO_SIZE];
-
-      if(freopen(err_temp,"a+",stderr)==NULL)
-        return 1;
-      (void) my_delete(err_renamed, MYF(0));
-      my_rename(log_error_file,err_renamed,MYF(0));
-      if (freopen(log_error_file,"a+",stdout)==NULL)
-        return 1;
-      else
-        if(freopen(log_error_file,"a+",stderr)==NULL)
-          return 1;
-
-      if ((fd = my_open(err_temp, O_RDONLY, MYF(0))) >= 0)
-      {
-        while ((bytes= my_read(fd, buf, IO_SIZE, MYF(0))) &&
-               bytes != MY_FILE_ERROR)
-          my_fwrite(stderr, buf, bytes, MYF(0));
-        my_close(fd, MYF(0));
-      }
-      (void) my_delete(err_temp, MYF(0)); 
-    }
-    else
-     result= 1;
+    if (freopen(log_error_file,"a+",stdout)==NULL)
+      result = 1;
+    if (freopen(log_error_file,"a+",stderr)==NULL)
+      result = 1;
     pthread_mutex_unlock(&LOCK_error_log);
   }
    return result;

=== modified file 'drizzled/log.h'
--- drizzled/log.h	2008-11-25 08:44:48 +0000
+++ drizzled/log.h	2008-12-04 06:48:00 +0000
@@ -50,13 +50,11 @@
 {
 public:
   TC_LOG_DUMMY() {}
-  int open(const char *opt_name __attribute__((unused)))
+  int open(const char *)
   { return 0; }
   void close(void)                          { }
-  int log_xid(Session *session __attribute__((unused)),
-              my_xid xid __attribute__((unused)))         { return 1; }
-  void unlog(ulong cookie __attribute__((unused)),
-             my_xid xid __attribute__((unused)))  { }
+  int log_xid(Session *, my_xid)         { return 1; }
+  void unlog(ulong, my_xid)  { }
 };
 
 #ifdef HAVE_MMAP

=== modified file 'drizzled/serialize/Makefile.am'
--- drizzled/serialize/Makefile.am	2008-12-02 09:25:21 +0000
+++ drizzled/serialize/Makefile.am	2008-12-04 20:52:42 +0000
@@ -26,7 +26,7 @@
 %.pb.h %.pb.cc : %.proto
 	$(PROTOC) --cpp_out=${top_builddir}/drizzled/serialize $<
 
-bin_PROGRAMS = \
+noinst_PROGRAMS = \
 	       table_reader \
 	       table_writer \
 	       replication_event_reader \

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2008-11-26 17:51:50 +0000
+++ drizzled/server_includes.h	2008-12-03 23:44:32 +0000
@@ -165,7 +165,6 @@
 extern uint64_t max_binlog_size;
 extern uint64_t max_relay_log_size;
 extern uint64_t opt_binlog_rows_event_max_size;
-extern uint64_t thread_cache_size;
 extern uint64_t thread_pool_size;
 extern uint32_t back_log;
 extern pid_t current_pid;

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-12-04 19:56:07 +0000
+++ drizzled/set_var.cc	2008-12-05 00:22:42 +0000
@@ -348,8 +348,6 @@
 					     &table_cache_size);
 static sys_var_long_ptr	sys_table_lock_wait_timeout(&vars, "table_lock_wait_timeout",
                                                     &table_lock_wait_timeout);
-static sys_var_long_ptr	sys_thread_cache_size(&vars, "thread_cache_size",
-					      &thread_cache_size);
 sys_var_long_ptr	sys_thread_pool_size(&vars, "thread_pool_size",
                                        &thread_pool_size);
 static sys_var_session_enum	sys_tx_isolation(&vars, "tx_isolation",

=== modified file 'drizzled/set_var.h'
--- drizzled/set_var.h	2008-12-01 00:41:43 +0000
+++ drizzled/set_var.h	2008-12-04 06:48:00 +0000
@@ -98,19 +98,16 @@
   bool check_enum(Session *session, set_var *var, const TYPELIB *enum_names);
   bool check_set(Session *session, set_var *var, TYPELIB *enum_names);
   virtual bool update(Session *session, set_var *var)=0;
-  virtual void set_default(Session *session_arg __attribute__((unused)),
-                           enum_var_type type __attribute__((unused)))
+  virtual void set_default(Session *, enum_var_type)
   {}
   virtual SHOW_TYPE show_type() { return SHOW_UNDEF; }
-  virtual unsigned char *value_ptr(Session *session __attribute__((unused)),
-                           enum_var_type type __attribute__((unused)),
-                           LEX_STRING *base __attribute__((unused)))
+  virtual unsigned char *value_ptr(Session *, enum_var_type, LEX_STRING *)
   { return 0; }
   virtual bool check_type(enum_var_type type)
   { return type != OPT_GLOBAL; }		/* Error if not GLOBAL */
   virtual bool check_update_type(Item_result type)
   { return type != INT_RESULT; }		/* Assume INT */
-  virtual bool check_default(enum_var_type type __attribute__((unused)))
+  virtual bool check_default(enum_var_type)
   { return option_limits == 0; }
   Item *item(Session *session, enum_var_type type, LEX_STRING *base);
   virtual bool is_struct() { return 0; }
@@ -166,9 +163,7 @@
   bool update(Session *session, set_var *var);
   void set_default(Session *session, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_LONG; }
-  unsigned char *value_ptr(Session *session __attribute__((unused)),
-                   enum_var_type type __attribute__((unused)),
-                   LEX_STRING *base __attribute__((unused)))
+  unsigned char *value_ptr(Session *, enum_var_type, LEX_STRING *)
   { return (unsigned char*) value; }
 };
 
@@ -201,9 +196,7 @@
   bool update(Session *session, set_var *var);
   void set_default(Session *session, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_LONG; }
-  unsigned char *value_ptr(Session *session __attribute__((unused)),
-                   enum_var_type type __attribute__((unused)),
-                   LEX_STRING *base __attribute__((unused)))
+  unsigned char *value_ptr(Session *, enum_var_type, LEX_STRING *)
   { return (unsigned char*) value; }
 };
 
@@ -222,9 +215,7 @@
   bool update(Session *session, set_var *var);
   void set_default(Session *session, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_LONGLONG; }
-  unsigned char *value_ptr(Session *session __attribute__((unused)),
-                   enum_var_type type __attribute__((unused)),
-                   LEX_STRING *base __attribute__((unused)))
+  unsigned char *value_ptr(Session *, enum_var_type, LEX_STRING *)
   { return (unsigned char*) value; }
 };
 
@@ -242,9 +233,7 @@
   bool update(Session *session, set_var *var);
   void set_default(Session *session, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_SIZE; }
-  unsigned char *value_ptr(Session *session __attribute__((unused)),
-                   enum_var_type type __attribute__((unused)),
-                   LEX_STRING *base __attribute__((unused)))
+  unsigned char *value_ptr(Session *, enum_var_type, LEX_STRING *)
   { return (unsigned char*) value; }
 };
 
@@ -262,11 +251,9 @@
   bool update(Session *session, set_var *var);
   void set_default(Session *session, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_MY_BOOL; }
-  unsigned char *value_ptr(Session *session __attribute__((unused)),
-                   enum_var_type type __attribute__((unused)),
-                   LEX_STRING *base __attribute__((unused)))
+  unsigned char *value_ptr(Session *, enum_var_type, LEX_STRING *)
   { return (unsigned char*) value; }
-  bool check_update_type(Item_result type __attribute__((unused)))
+  bool check_update_type(Item_result)
   { return 0; }
 };
 
@@ -307,15 +294,13 @@
     (*set_default_func)(session, type);
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  unsigned char *value_ptr(Session *session __attribute__((unused)),
-                   enum_var_type type __attribute__((unused)),
-                   LEX_STRING *base __attribute__((unused)))
+  unsigned char *value_ptr(Session *, enum_var_type, LEX_STRING *)
   { return (unsigned char*) value; }
   bool check_update_type(Item_result type)
   {
     return type != STRING_RESULT;		/* Only accept strings */
   }
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
   { return 0; }
 };
 
@@ -332,28 +317,24 @@
   {
     value= new_value;
   }
-  bool check(Session *session __attribute__((unused)),
-             set_var *var __attribute__((unused)))
+  bool check(Session *, set_var *)
   {
     return 1;
   }
-  bool update(Session *session __attribute__((unused)),
-              set_var *var __attribute__((unused)))
+  bool update(Session *, set_var *)
   {
     return 1;
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  unsigned char *value_ptr(Session *session __attribute__((unused)),
-                   enum_var_type type __attribute__((unused)),
-                   LEX_STRING *base __attribute__((unused)))
+  unsigned char *value_ptr(Session *, enum_var_type, LEX_STRING *)
   {
     return (unsigned char*) value;
   }
-  bool check_update_type(Item_result type __attribute__((unused)))
+  bool check_update_type(Item_result)
   {
     return 1;
   }
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
   { return 1; }
   bool is_readonly() const { return 1; }
 };
@@ -366,28 +347,24 @@
   sys_var_const_str_ptr(sys_var_chain *chain, const char *name_arg, char **value_arg)
     :sys_var(name_arg),value(value_arg)
   { chain_sys_var(chain); }
-  bool check(Session *session __attribute__((unused)),
-             set_var *var __attribute__((unused)))
+  bool check(Session *, set_var *)
   {
     return 1;
   }
-  bool update(Session *session __attribute__((unused)),
-              set_var *var __attribute__((unused)))
+  bool update(Session *, set_var *)
   {
     return 1;
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  unsigned char *value_ptr(Session *session __attribute__((unused)),
-                   enum_var_type type __attribute__((unused)),
-                   LEX_STRING *base __attribute__((unused)))
+  unsigned char *value_ptr(Session *, enum_var_type, LEX_STRING *)
   {
     return (unsigned char*) *value;
   }
-  bool check_update_type(Item_result type __attribute__((unused)))
+  bool check_update_type(Item_result)
   {
     return 1;
   }
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
   { return 1; }
   bool is_readonly(void) const { return 1; }
 };
@@ -409,7 +386,7 @@
   bool update(Session *session, set_var *var);
   SHOW_TYPE show_type() { return SHOW_CHAR; }
   unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
-  bool check_update_type(Item_result type __attribute__((unused)))
+  bool check_update_type(Item_result)
   { return 0; }
 };
 
@@ -423,14 +400,12 @@
       TYPELIB *typelib, sys_after_update_func func)
     :sys_var(name_arg,func), offset(offset_arg), enum_names(typelib)
   { chain_sys_var(chain); }
-  bool check(Session *session __attribute__((unused)),
-             set_var *var __attribute__((unused)))
+  bool check(Session *, set_var *)
   { return 1; }
-  bool update(Session *session __attribute__((unused)),
-              set_var *var __attribute__((unused)))
+  bool update(Session *, set_var *)
   { return 1; }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  bool check_update_type(Item_result type __attribute__((unused)))
+  bool check_update_type(Item_result)
   { return 1; }
   bool is_readonly() const { return 1; }
   unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
@@ -445,7 +420,7 @@
               Binlog_status_enum binlog_status= NOT_IN_BINLOG)
     :sys_var(name_arg, func, binlog_status)
   {}
-  bool check_type(enum_var_type type __attribute__((unused)))
+  bool check_type(enum_var_type)
   { return 0; }
   bool check_default(enum_var_type type)
   {
@@ -596,7 +571,7 @@
   {
     return check_enum(session, var, &bool_typelib);
   }
-  bool check_update_type(Item_result type __attribute__((unused)))
+  bool check_update_type(Item_result)
   { return 0; }
 };
 
@@ -626,7 +601,7 @@
   void set_default(Session *session, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_CHAR; }
   unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
-  bool check_update_type(Item_result type __attribute__((unused)))
+  bool check_update_type(Item_result)
   { return 0; }
 };
 
@@ -686,7 +661,7 @@
   { chain_sys_var(chain); }
   bool check(Session *session, set_var *var);
   bool update(Session *session, set_var *var);
-  bool check_update_type(Item_result type __attribute__((unused)))
+  bool check_update_type(Item_result)
   { return 0; }
   bool check_type(enum_var_type type) { return type == OPT_GLOBAL; }
   SHOW_TYPE show_type() { return SHOW_MY_BOOL; }
@@ -705,7 +680,7 @@
   bool update(Session *session, set_var *var);
   void set_default(Session *session, enum_var_type type);
   bool check_type(enum_var_type type)    { return type == OPT_GLOBAL; }
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
   { return 0; }
   SHOW_TYPE show_type(void) { return SHOW_LONG; }
   unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
@@ -754,7 +729,7 @@
   {
     return ((type != STRING_RESULT) && (type != INT_RESULT));
   }
-  bool check_default(enum_var_type type __attribute__((unused))) { return 0; }
+  bool check_default(enum_var_type) { return 0; }
   virtual void set_default(Session *session, enum_var_type type)= 0;
 };
 
@@ -778,7 +753,7 @@
   {
     return ((type != STRING_RESULT) && (type != INT_RESULT));
   }
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
   { return 0; }
   bool update(Session *session, set_var *var);
   unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
@@ -816,7 +791,7 @@
     :sys_var(name_arg), offset(offset_arg)
   { chain_sys_var(chain); }
   unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
   { return 1; }
   bool is_struct() { return 1; }
 };
@@ -861,7 +836,7 @@
   {
     return type != STRING_RESULT;		/* Only accept strings */
   }
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
   { return 0; }
   bool check(Session *session, set_var *var);
   bool update(Session *session, set_var *var);
@@ -896,16 +871,14 @@
     :sys_var(name_arg), var_type(type), 
        show_type_value(show_type_arg), value_ptr_func(value_ptr_func_arg)
   { chain_sys_var(chain); }
-  bool update(Session *session __attribute__((unused)),
-              set_var *var __attribute__((unused)))
+  bool update(Session *, set_var *)
   { return 1; }
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
   { return 1; }
   bool check_type(enum_var_type type) { return type != var_type; }
-  bool check_update_type(Item_result type __attribute__((unused)))
+  bool check_update_type(Item_result)
   { return 1; }
-  unsigned char *value_ptr(Session *session, enum_var_type type __attribute__((unused)),
-                   LEX_STRING *base __attribute__((unused)))
+  unsigned char *value_ptr(Session *session, enum_var_type, LEX_STRING *)
   {
     return (*value_ptr_func)(session);
   }
@@ -922,18 +895,15 @@
   sys_var_have_option(sys_var_chain *chain, const char *variable_name):
     sys_var(variable_name)
   { chain_sys_var(chain); }
-  unsigned char *value_ptr(Session *session __attribute__((unused)),
-                   enum_var_type type __attribute__((unused)),
-                   LEX_STRING *base __attribute__((unused)))
+  unsigned char *value_ptr(Session *, enum_var_type, LEX_STRING *)
   {
     return (unsigned char*) show_comp_option_name[get_option()];
   }
-  bool update(Session *session __attribute__((unused)),
-              set_var *var __attribute__((unused))) { return 1; }
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool update(Session *, set_var *) { return 1; }
+  bool check_default(enum_var_type)
   { return 1; }
   bool check_type(enum_var_type type) { return type != OPT_GLOBAL; }
-  bool check_update_type(Item_result type __attribute__((unused)))
+  bool check_update_type(Item_result)
   { return 1; }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
   bool is_readonly() const { return 1; }
@@ -989,7 +959,7 @@
   {
     return type != STRING_RESULT;		/* Only accept strings */
   }
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
   { return 0; }
   bool update(Session *session, set_var *var);
   unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);
@@ -1005,8 +975,7 @@
                        uint64_t SV::*offset_arg):
     sys_var_session(name_arg), offset(offset_arg)
   { chain_sys_var(chain); }
-  bool check(Session *session __attribute__((unused)),
-             set_var *var __attribute__((unused))) {return 0;}
+  bool check(Session *, set_var *) {return 0;}
   bool update(Session *session, set_var *var);
   void set_default(Session *session, enum_var_type type);
   SHOW_TYPE show_type() { return SHOW_DOUBLE; }
@@ -1047,7 +1016,7 @@
   {
     return ((type != STRING_RESULT) && (type != INT_RESULT));
   }
-  bool check_default(enum_var_type type __attribute__((unused)))
+  bool check_default(enum_var_type)
   { return 0; }
   bool update(Session *session, set_var *var);
   unsigned char *value_ptr(Session *session, enum_var_type type, LEX_STRING *base);

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2008-11-26 21:37:50 +0000
+++ drizzled/sql_lex.h	2008-12-04 06:48:00 +0000
@@ -309,11 +309,9 @@
   }
   static void *operator new(size_t size, MEM_ROOT *mem_root)
   { return (void*) alloc_root(mem_root, (uint32_t) size); }
-  static void operator delete(void *ptr __attribute__((unused)),
-                              size_t size __attribute__((unused)))
+  static void operator delete(void *, size_t)
   { TRASH(ptr, size); }
-  static void operator delete(void *ptr __attribute__((unused)),
-                              MEM_ROOT *mem_root __attribute__((unused)))
+  static void operator delete(void *, MEM_ROOT *)
   {}
   st_select_lex_node(): linkage(UNSPECIFIED_TYPE) {}
   virtual ~st_select_lex_node() {}
@@ -342,7 +340,7 @@
                                         thr_lock_type flags= TL_UNLOCK,
                                         List<Index_hint> *hints= 0,
                                         LEX_STRING *option= 0);
-  virtual void set_lock_for_tables(thr_lock_type lock_type __attribute__((unused)))
+  virtual void set_lock_for_tables(thr_lock_type)
   {}
 
   friend class st_select_lex_unit;
@@ -1500,11 +1498,9 @@
   {
     return (void*) alloc_root(mem_root, (uint32_t) size);
   }
-  static void operator delete(void *ptr __attribute__((unused)),
-                              size_t size __attribute__((unused)))
+  static void operator delete(void *, size_t)
   { TRASH(ptr, size); }
-  static void operator delete(void *ptr __attribute__((unused)),
-                              MEM_ROOT *mem_root __attribute__((unused)))
+  static void operator delete(void *, MEM_ROOT *)
   { /* Never called */ }
 };
 

=== modified file 'drizzled/sql_list.h'
--- drizzled/sql_list.h	2008-11-18 22:12:56 +0000
+++ drizzled/sql_list.h	2008-12-04 06:48:00 +0000
@@ -132,7 +132,7 @@
     list_copy_and_replace_each_value after creating a copy.
   */
   base_list(const base_list &rhs, MEM_ROOT *mem_root);
-  inline base_list(bool error __attribute__((unused))) { }
+  inline base_list(bool) { }
   inline bool push_back(void *info)
   {
     if (((*last)=new list_node(info, &end_of_list)))
@@ -430,10 +430,10 @@
 template <class T> class List_iterator_fast :public base_list_iterator
 {
 protected:
-  inline T *replace(T *a __attribute__((unused)))   { return (T*) 0; }
-  inline T *replace(List<T> &a __attribute__((unused))) { return (T*) 0; }
+  inline T *replace(T *)   { return (T*) 0; }
+  inline T *replace(List<T> &) { return (T*) 0; }
   inline void remove(void)  { }
-  inline void after(T *a __attribute__((unused)))   { }
+  inline void after(T *a)   { }
   inline T** ref(void)	    { return (T**) 0; }
 
 public:
@@ -461,8 +461,7 @@
   {
     return (void*)malloc((uint)size);
   }
-  static void operator delete(void* ptr_arg,
-                              size_t size __attribute__((unused)))
+  static void operator delete(void* ptr_arg, size_t)
   {
      free((unsigned char*)ptr_arg);
   }

=== modified file 'drizzled/sql_string.h'
--- drizzled/sql_string.h	2008-11-23 01:22:38 +0000
+++ drizzled/sql_string.h	2008-12-04 06:48:00 +0000
@@ -100,11 +100,9 @@
   }
   static void *operator new(size_t size, MEM_ROOT *mem_root)
   { return (void*) alloc_root(mem_root, (uint) size); }
-  static void operator delete(void *ptr_arg __attribute__((unused)),
-                              size_t size __attribute__((unused)))
+  static void operator delete(void *, size_t)
   { TRASH(ptr_arg, size); }
-  static void operator delete(void *ptr_arg __attribute__((unused)),
-                              MEM_ROOT *mem_root __attribute__((unused)))
+  static void operator delete(void *, MEM_ROOT *)
   { /* never called */ }
   ~String() { free(); }
 

=== modified file 'plugin/auth_pam/Makefile.am'
--- plugin/auth_pam/Makefile.am	2008-09-26 22:04:01 +0000
+++ plugin/auth_pam/Makefile.am	2008-12-04 21:24:04 +0000
@@ -22,7 +22,7 @@
 if BUILD_AUTH_PAM
 EXTRA_LTLIBRARIES =	libauth_pam.la
 pkgplugin_LTLIBRARIES =	@plugin_auth_pam_shared_target@
-libauth_pam_la_LDFLAGS =	-module -rpath $(pkgplugindir) -lpam 
+libauth_pam_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir) -lpam 
 libauth_pam_la_CPPFLAGS=	$(GLOBAL_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
 libauth_pam_la_SOURCES =	auth_pam.cc
 endif

=== modified file 'plugin/compress/Makefile.am'
--- plugin/compress/Makefile.am	2008-09-25 10:04:06 +0000
+++ plugin/compress/Makefile.am	2008-12-04 21:24:04 +0000
@@ -22,7 +22,7 @@
 AM_CPPFLAGS = 		${GLOBAL_CPPFLAGS} -I${top_srcdir}/drizzled
 EXTRA_LTLIBRARIES =	libcompressudf.la
 pkgplugin_LTLIBRARIES =	@plugin_compress_shared_target@
-libcompressudf_la_LDFLAGS =	-module -rpath $(pkgplugindir) -lz
+libcompressudf_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir) -lz
 libcompressudf_la_CXXFLAGS=	$(AM_CXXFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
 libcompressudf_la_SOURCES =	compressudf.cc
 

=== modified file 'plugin/crc32/Makefile.am'
--- plugin/crc32/Makefile.am	2008-08-12 21:13:01 +0000
+++ plugin/crc32/Makefile.am	2008-12-04 21:24:04 +0000
@@ -22,7 +22,7 @@
 AM_CPPFLAGS = 		${GLOBAL_CPPFLAGS} -I${top_srcdir}/drizzled
 EXTRA_LTLIBRARIES =	libcrc32udf.la
 pkgplugin_LTLIBRARIES =	@plugin_crc32_shared_target@
-libcrc32udf_la_LDFLAGS =	-module -rpath $(pkgplugindir) -lz
+libcrc32udf_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir) -lz
 libcrc32udf_la_CXXFLAGS=	$(AM_CXXFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
 libcrc32udf_la_SOURCES =	crc32udf.cc
 

=== modified file 'plugin/errmsg_stderr/Makefile.am'
--- plugin/errmsg_stderr/Makefile.am	2008-10-17 20:35:11 +0000
+++ plugin/errmsg_stderr/Makefile.am	2008-12-04 21:24:04 +0000
@@ -3,6 +3,6 @@
 
 EXTRA_LTLIBRARIES = liberrmsg_stderr.la
 pkgplugin_LTLIBRARIES =	@plugin_errmsg_stderr_shared_target@
-liberrmsg_stderr_la_LDFLAGS = -module -rpath $(pkgplugindir)
+liberrmsg_stderr_la_LDFLAGS = -module -avoid-version -rpath $(pkgplugindir)
 liberrmsg_stderr_la_CPPFLAGS= $(GLOBAL_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
 liberrmsg_stderr_la_SOURCES = errmsg_stderr.cc

=== modified file 'plugin/hello_world/Makefile.am'
--- plugin/hello_world/Makefile.am	2008-08-12 21:13:01 +0000
+++ plugin/hello_world/Makefile.am	2008-12-04 21:24:04 +0000
@@ -22,7 +22,7 @@
 
 EXTRA_LTLIBRARIES =	libhello_world.la
 pkgplugin_LTLIBRARIES =	@plugin_hello_world_shared_target@
-libhello_world_la_LDFLAGS =	-module -rpath $(pkgplugindir)
+libhello_world_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir)
 libhello_world_la_CPPFLAGS=	$(AM_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
 libhello_world_la_SOURCES =	hello_world.cc
 

=== modified file 'plugin/logging_query/Makefile.am'
--- plugin/logging_query/Makefile.am	2008-10-17 20:35:11 +0000
+++ plugin/logging_query/Makefile.am	2008-12-04 21:24:04 +0000
@@ -3,6 +3,6 @@
 
 EXTRA_LTLIBRARIES = liblogging_query.la
 pkgplugin_LTLIBRARIES =	@plugin_logging_query_shared_target@
-liblogging_query_la_LDFLAGS = -module -rpath $(pkgplugindir)
+liblogging_query_la_LDFLAGS = -module -avoid-version -rpath $(pkgplugindir)
 liblogging_query_la_CPPFLAGS = $(GLOBAL_CPPFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
 liblogging_query_la_SOURCES = logging_query.cc

=== modified file 'plugin/md5/Makefile.am'
--- plugin/md5/Makefile.am	2008-11-23 01:08:08 +0000
+++ plugin/md5/Makefile.am	2008-12-04 21:24:04 +0000
@@ -24,7 +24,7 @@
 if BUILD_MD5_UDF
 EXTRA_LTLIBRARIES =	libmd5udf.la
 pkgplugin_LTLIBRARIES =	@plugin_md5_shared_target@
-libmd5udf_la_LDFLAGS =	-module -rpath $(pkgplugindir) -L/opt/csw/lib -lssl
+libmd5udf_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir) -L/opt/csw/lib -lssl
 libmd5udf_la_CXXFLAGS=	-DDRIZZLE_DYNAMIC_PLUGIN
 libmd5udf_la_SOURCES =	md5udf.cc
 

=== modified file 'plugin/uncompress/Makefile.am'
--- plugin/uncompress/Makefile.am	2008-09-25 10:04:06 +0000
+++ plugin/uncompress/Makefile.am	2008-12-04 21:24:04 +0000
@@ -22,7 +22,7 @@
 AM_CPPFLAGS = 		${GLOBAL_CPPFLAGS} -I${top_srcdir}/drizzled
 EXTRA_LTLIBRARIES =	libuncompressudf.la
 pkgplugin_LTLIBRARIES =	@plugin_uncompress_shared_target@
-libuncompressudf_la_LDFLAGS =	-module -rpath $(pkgplugindir) -lz
+libuncompressudf_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir) -lz
 libuncompressudf_la_CXXFLAGS=	$(AM_CXXFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
 libuncompressudf_la_SOURCES =	uncompressudf.cc
 

=== modified file 'plugin/uncompressed_length/Makefile.am'
--- plugin/uncompressed_length/Makefile.am	2008-09-25 10:04:06 +0000
+++ plugin/uncompressed_length/Makefile.am	2008-12-04 21:24:04 +0000
@@ -22,7 +22,7 @@
 AM_CPPFLAGS = 		${GLOBAL_CPPFLAGS} -I${top_srcdir}/drizzled
 EXTRA_LTLIBRARIES =	libuncompressed_lengthudf.la
 pkgplugin_LTLIBRARIES =	@plugin_uncompressed_length_shared_target@
-libuncompressed_lengthudf_la_LDFLAGS =	-module -rpath $(pkgplugindir)
+libuncompressed_lengthudf_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir)
 libuncompressed_lengthudf_la_CXXFLAGS=	$(AM_CXXFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
 libuncompressed_lengthudf_la_SOURCES =	uncompressed_length.cc
 

=== modified file 'storage/archive/Makefile.am'
--- storage/archive/Makefile.am	2008-11-23 01:22:38 +0000
+++ storage/archive/Makefile.am	2008-12-04 21:24:04 +0000
@@ -31,7 +31,7 @@
 
 EXTRA_LTLIBRARIES =	ha_archive.la
 pkglib_LTLIBRARIES =	@plugin_archive_shared_target@
-ha_archive_la_LDFLAGS =	-module -rpath $(pkgplugindir) $(LDADD)
+ha_archive_la_LDFLAGS =	-module -avoid-version -rpath $(pkgplugindir) $(LDADD)
 ha_archive_la_CXXFLAGS=	$(AM_CXXFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
 ha_archive_la_CFLAGS =	$(AM_CFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN 
 ha_archive_la_SOURCES =	ha_archive.cc azio.cc

=== modified file 'storage/blackhole/Makefile.am'
--- storage/blackhole/Makefile.am	2008-08-12 21:13:01 +0000
+++ storage/blackhole/Makefile.am	2008-12-04 21:24:04 +0000
@@ -29,14 +29,14 @@
 
 EXTRA_LTLIBRARIES =	ha_blackhole.la
 pkgplugin_LTLIBRARIES =	@plugin_blackhole_shared_target@
-ha_blackhole_la_LDFLAGS=-module -rpath $(pkgplugindir)
-ha_blackhole_la_CXXFLAGS=$(AM_CXXFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
-ha_blackhole_la_SOURCES=ha_blackhole.cc
+ha_blackhole_la_LDFLAGS = -module -avoid-version -rpath $(pkgplugindir)
+ha_blackhole_la_CXXFLAGS = $(AM_CXXFLAGS) -DDRIZZLE_DYNAMIC_PLUGIN
+ha_blackhole_la_SOURCES = ha_blackhole.cc
 
 
 EXTRA_LIBRARIES =	libblackhole.a
 noinst_LIBRARIES =	@plugin_blackhole_static_target@
-libblackhole_a_SOURCES=	ha_blackhole.cc
+libblackhole_a_SOURCES =	ha_blackhole.cc
 
 
 EXTRA_DIST =		plug.in

=== modified file 'storage/csv/Makefile.am'
--- storage/csv/Makefile.am	2008-08-12 21:13:01 +0000
+++ storage/csv/Makefile.am	2008-12-04 21:24:04 +0000
@@ -25,7 +25,7 @@
 
 EXTRA_LTLIBRARIES =	ha_csv.la
 pkglib_LTLIBRARIES =	@plugin_csv_shared_target@
-ha_csv_la_LDFLAGS =	-module -rpath $(MYSQLLIBdir)
+ha_csv_la_LDFLAGS =	-module -avoid-version -rpath $(MYSQLLIBdir)
 ha_csv_la_CXXFLAGS =	$(AM_CXXFLAGS) -DDRIZZLE_PLUGIN
 ha_csv_la_SOURCES =	transparent_file.cc ha_tina.cc 
 

=== modified file 'storage/innobase/Makefile.am'
--- storage/innobase/Makefile.am	2008-12-03 08:23:39 +0000
+++ storage/innobase/Makefile.am	2008-12-04 21:24:04 +0000
@@ -200,7 +200,7 @@
 EXTRA_LTLIBRARIES=	ha_innodb.la
 pkgplugin_LTLIBRARIES=	@plugin_innobase_shared_target@
 
-ha_innodb_la_LDFLAGS=	-module -rpath $(pkgplugindir)
+ha_innodb_la_LDFLAGS=	-module -avoid-version -rpath $(pkgplugindir)
 ha_innodb_la_CFLAGS=    ${AM_CFLAGS} ${DYNAMIC_PLUGIN}
 ha_innodb_la_CXXFLAGS=  ${AM_CXXFLAGS} ${DYNAMIC_PLUGIN}
 ha_innodb_la_LIBADD=	@plugin_innobase_shared_target@ \

